package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.BoundMiddle;
import com.muyu.domain.resp.BoundFenceGroup;
import com.muyu.domain.resp.FenceResp;

import java.util.List;

/**
 * 所有电子围栏缓存
 */
public class AllFenceGroupCahceService extends CacheAbsBacis<String, List<BoundFenceGroup>> {
    @Override
    public void clear() {

    }

    @Override
    public String keyPre() {
        return "AllFenceGroup:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("AllFenceGroup:info:", "");
    }

}
